<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>fr.sedoo.commons</groupId>
		<artifactId>parent-pom</artifactId>
		<version>0.0.2</version>
	</parent>

	<groupId>fr.sedoo.commons</groupId>
	<artifactId>metadata-widget</artifactId>
	<version>0.1.0</version>

	<packaging>jar</packaging>
	<name>metadata-widget</name>

	<properties>
		<gwt.version>2.5.1</gwt.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>

	<build>

		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>2.3.2</version>
				<configuration>
					<source>1.6</source>
					<target>1.6</target>
				</configuration>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-javadoc-plugin</artifactId>
				<version>2.7</version>
				<configuration>

				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-source-plugin</artifactId>
				<version>2.1.2</version>
				<executions>
					<execution>
						<id>attach-sources</id>
						<phase>verify</phase>
						<goals>
							<goal>jar-no-fork</goal>
						</goals>
					</execution>
				</executions>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-eclipse-plugin</artifactId>
				<version>2.8</version>

				<configuration>
					<downloadSources>true</downloadSources>
					<downloadJavadocs>true</downloadJavadocs>
					<projectnatures>
						<projectnature>org.eclipse.jdt.core.javanature</projectnature>
						<nature>com.google.gwt.eclipse.core.gwtNature</nature>
					</projectnatures>
					<buildcommands>
						<buildcommand>org.eclipse.jdt.core.javabuilder</buildcommand>
						<buildcommand>com.google.appengine.eclipse.core.projectValidator</buildcommand>
						<buildcommand>com.google.gwt.eclipse.core.gwtProjectValidator</buildcommand>
					</buildcommands>
					<classpathContainers>
						<classpathContainer>org.eclipse.jdt.launching.JRE_CONTAINER</classpathContainer>
						<classpathContainer>com.google.gwt.eclipse.core.GWT_CONTAINER</classpathContainer>
					</classpathContainers>
					<excludes>
						<exclude>com.google.gwt:gwt-servlet</exclude>
						<exclude>com.google.gwt:gwt-user</exclude>
						<exclude>com.google.gwt:gwt-dev</exclude>
						<exclude>javax.validation:validation-api</exclude>
					</excludes>


				</configuration>
			</plugin>



		</plugins>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<includes>
					<include>**/client/**</include>
					<include>**/shared/**</include>
					<include>**/*.gwt.xml</include>
					<include>**/public/**</include>
				</includes>
			</resource>

			<resource>
				<directory>src/main/resources</directory>
				<includes>
					<include>**/*</include>
				</includes>
			</resource>

		</resources>
	</build>

	<dependencies>


		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.7</version>
			<type>jar</type>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>com.google.gwt</groupId>
			<artifactId>gwt-user</artifactId>
			<version>${gwt.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.google.gwt</groupId>
			<artifactId>gwt-dev</artifactId>
			<version>${gwt.version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.validation</groupId>
			<artifactId>validation-api</artifactId>
			<version>1.0.0.GA</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.validation</groupId>
			<artifactId>validation-api</artifactId>
			<version>1.0.0.GA</version>
			<classifier>sources</classifier>
			<scope>provided</scope>
		</dependency>

		<!-- Spring Integration -->
		<dependency>
			<!-- <groupId>fr.sedoo.integration</groupId> <artifactId>spring-integration</artifactId> 
				<version>1.1.0</version> -->
			<groupId>fr.sedoo.commons</groupId>
			<artifactId>commons-backoffice</artifactId>
			<version>0.0.3</version>
		</dependency>

		<dependency>
			<groupId>commons-net</groupId>
			<artifactId>commons-net</artifactId>
			<version>3.2</version>
		</dependency>

		<dependency>
			<artifactId>commons-web</artifactId>
			<groupId>fr.sedoo.commons</groupId>
			<version>0.0.3</version>
		</dependency>

		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>3.2.1</version>
		</dependency>


		<!-- <dependency> <groupId>fr.sedoo.integration</groupId> <artifactId>hibernate-integration</artifactId> 
			<version>0.0.2</version> </dependency> -->

		<dependency>
			<groupId>fr.sedoo.integration</groupId>
			<version>0.0.1</version>
			<artifactId>log-integration</artifactId>
		</dependency>

		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version>5.1.9</version>
		</dependency>

		<dependency>
			<groupId>postgresql</groupId>
			<artifactId>postgresql</artifactId>
			<version>8.4-701.jdbc3</version>
		</dependency>

		<dependency>
			<groupId>fr.sedoo.commons</groupId>
			<artifactId>commons-widget</artifactId>
			<version>0.2.1</version>
		</dependency>

		<dependency>
			<groupId>com.github.jdramaix</groupId>
			<artifactId>gwtchosen</artifactId>
			<version>1.2.0</version>
		</dependency>

		<dependency>
			<groupId>com.googlecode.gwtquery</groupId>
			<artifactId>gwtquery</artifactId>
			<version>1.3.3</version>
		</dependency>

		<dependency>
			<groupId>fr.sedoo.commons</groupId>
			<artifactId>metadata-utils</artifactId>
			<version>0.1.0</version>
		</dependency>

	</dependencies>

	<repositories>
		<repository>
			<id>aux1</id>
			<url>http://gwt-image-loader.googlecode.com/svn/repo</url>
		</repository>

		<repository>
			<id>geotoolkit</id>
			<name>Geotk repository</name>
			<url>http://maven.geotoolkit.org</url>
		</repository>
		
		<repository>
			<id>sourcesup-releases</id>
			<url>https://sourcesup.renater.fr/nexus/content/repositories/releases/</url>
		</repository>

	</repositories>



</project>